
void PrintTXTjust(hwnd, hdc, szText)    /* FILENAME: PRTXJUST.C */
HWND hwnd;
HDC hdc;
char *szText;
{
    int i, nCount, nWidth, nSpace=0;
    PTXTOUT ptx;

    ptx = TextOutput(hwnd, TRUE);
    SetTXTcolors(ptx, hdc, FALSE);

    if(ptx->bRedraw)
    {
        ptx->xCaret = ptx->lMargin;
        ptx->yCaret = ptx->tMargin;
        ptx->bRedraw = FALSE;
    }
    nCount = strlen(szText);
    for(i=0; i < nCount; i++)
        if(szText[i] == 32) nSpace++;

    nWidth=LOWORD(GetTextExtent(hdc, szText, nCount));
    SetTextJustification(hdc, ptx->rMargin-nWidth, nSpace);
    TextOut(hdc, ptx->xCaret, ptx->yCaret, szText, nCount);

    SetTextJustification(hdc, 0, nSpace);

    ptx->xCaret = ptx->lMargin + nWidth;
    ptx->yCaret += ptx->yChar;
    ptx->xCaret = ptx->lMargin;
    SetCaretPos(ptx->xCaret, ptx->yCaret);

    TextOutput(hwnd, FALSE);
}
