void PrintTXText(hwnd, hdc, szText)   /* FILENAME: PRTXTEXT.C */
HWND hwnd;
HDC hdc;
char *szText;
{
    int i, nCount, nWidth;
    RECT rc;
    PTXTOUT ptx;

 /* Adjust the right margin setting to see the effects of routine.
    Either hard code or new setting or change value in TXTOUT. */

    ptx = TextOutput(hwnd, TRUE);
    SetTXTcolors(ptx, hdc, FALSE);
    nCount = strlen(szText);

    if(ptx->bRedraw)
    {
        ptx->xCaret = ptx->lMargin;
        ptx->yCaret = ptx->tMargin;
        ptx->bRedraw = FALSE;
    }

    SetRect(&rc, ptx->xCaret, ptx->yCaret, ptx->rMargin,
                              ptx->yCaret + ptx->yChar);

    ExtTextOut(hdc, ptx->xCaret, ptx->yCaret, ETO_CLIPPED,
                    &rc, szText, nCount, NULL);

    ptx->xCaret = ptx->lMargin + nWidth;
    ptx->yCaret += ptx->yChar;
    ptx->xCaret = ptx->lMargin;
    SetCaretPos(ptx->xCaret, ptx->yCaret);

    TextOutput(hwnd, FALSE);
}
