
void InitWNDstruct(hwnd)   /* FILENAME: WNDSTRUCT.C */
HWND hwnd;
{
     int nSize, xChar, yChar;
     int xInch, yInch;
     PTXTOUT ptx;

     nSize = sizeof(TXTOUT);
     hTxtMem = LocalAlloc(LMEM_FIXED, nSize);
     ptx = (PTXTOUT)LocalLock(hTxtMem);
     SetWindowWord(hwnd, 0, hTxtMem);
     SetWindowWord(hwnd, 2, nSize);

     GetTXTdata(hwnd, &xChar, &yChar);
     ptx->xChar = xChar;
     ptx->yChar = yChar;
     SetTXTcaret(hwnd, xChar, yChar);

     GetDEVinches(hwnd, &xInch, &yInch);
     ptx->xInch = xInch;
     ptx->yInch = yInch;
     ptx->lMargin = xInch / 8;
     ptx->tMargin = yInch / 8;
     ptx->xCaret = ptx->lMargin;
     ptx->yCaret = ptx->tMargin;
     ptx->rMargin = 485;
     ptx->TabStops = 25;
     ptx->crColor = RGB(0,0,0);
     ptx->crBkgrnd = RGB(255,255,255);

     SetCaretPos(ptx->xCaret, ptx->yCaret);
     ptx->bRedraw = TRUE;
     LocalUnlock(hTxtMem);
}
