
BOOL FAR PASCAL FormatBoxDB(hwndDlg, msg, wParam, lParam) /* FILENAME:
                                                           FORMTBOX.C */
HWND hwndDlg;
unsigned msg;
WORD wParam;
LONG lParam;
{
    PTXTOUT ptx;

    switch(msg)
    {
        case WM_INITDIALOG:
            ptx = TextOutput(GetParent(hwndDlg), TRUE);
            SetDlgItemInt(hwndDlg, IDD_LMARGIN, ptx->lMargin, TRUE);
            SetDlgItemInt(hwndDlg, IDD_RMARGIN, ptx->rMargin, TRUE);
            SetDlgItemInt(hwndDlg, IDD_TMARGIN, ptx->tMargin, TRUE);
            SetDlgItemInt(hwndDlg, IDD_BMARGIN, ptx->bMargin, TRUE);
            ptx = TextOutput(GetParent(hwndDlg), FALSE);
            SetFocus(GetDlgItem(hwndDlg, IDD_LMARGIN));
            return(FALSE);

        case WM_COMMAND:
            if (wParam == IDOK || wParam == IDCANCEL)
            {
                EndDialog(hwndDlg, TRUE);
                return(TRUE);
            }

            if(wParam >= IDD_LMARGIN && wParam <= IDD_BMARGIN)
                ptx = TextOutput(GetParent(hwndDlg), TRUE);

            switch(wParam)
            {
                case IDD_LMARGIN:
                    ptx->lMargin = GetDlgItemInt(hwndDlg,
                                         wParam, NULL, TRUE);
                    break;

                case IDD_RMARGIN:
                    ptx->rMargin = GetDlgItemInt(hwndDlg,
                                         wParam, NULL, TRUE);
                    break;

                case IDD_TMARGIN:
                    ptx->tMargin = GetDlgItemInt(hwndDlg,
                                         wParam, NULL, TRUE);
                    break;

                case IDD_BMARGIN:
                    ptx->bMargin = GetDlgItemInt(hwndDlg,
                                         wParam, NULL, TRUE);
                    break;

                case IDD_JUSTIFY:
                    if(HIWORD(lParam) == BN_CLICKED)
                    {
                        SendDlgItemMessage(hwndDlg, IDD_JUSTIFY,
                                                   BM_SETCHECK, 1, 0L);
                        ptx->nJustify = TRUE;
                    }
                    else
                        SendDlgItemMessage(hwndDlg, IDD_JUSTIFY,
                                                   BM_SETCHECK, 0, 0L);
                    break;

                default:
                    break;
            }

            if(wParam >= IDD_LMARGIN && wParam <= IDD_BMARGIN)
                ptx = TextOutput(GetParent(hwndDlg), FALSE);
            break;
    }
    return(FALSE);
}
