
void PrintTXTtab(hwnd, hdc, szText, Tabs)    /* FILENAME: PRTXTTAB.C */
HWND hwnd;
HDC hdc;
char *szText;
int Tabs;
{
    int i, TabStops[8];
    int nCount, nWidth;
    PTXTOUT ptx;


    ptx = TextOutput(hwnd, TRUE);
    SetTXTcolors(ptx, hdc, TRUE);
    nCount = strlen(szText);

 /* Get tab width from the TXTOUT structure */

    for(i = 0; i < 8; i++)
        TabStops[i] = ptx->TabStops;

    if(ptx->bRedraw)
    {
        ptx->xCaret = ptx->lMargin;
        ptx->yCaret = ptx->tMargin;
        ptx->bRedraw = FALSE;
    }

    TabbedTextOut(hdc, ptx->xCaret, ptx->yCaret,
                   szText, nCount, Tabs, TabStops, ptx->xCaret);

    ptx->xCaret = ptx->lMargin + nWidth;
    ptx->yCaret += ptx->yChar;
    ptx->xCaret = ptx->lMargin;
    SetCaretPos(ptx->xCaret, ptx->yCaret);

    TextOutput(hwnd, FALSE);
}
